module Mojesouhlasy
  module Users

    def self.create_user(email)
      parse(RestClient.post "#{Core.endpoint}/api/company/users/create_user", {email: email}, Core.headers)
    end

    def self.import(emails)
      parse(RestClient.post "#{Core.endpoint}/api/company/users/import", {emails: emails}, Core.headers)
    end

    def self.anonymize(email)
      parse(RestClient.get "#{Core.endpoint}/api/company/users/anonymize", Core.headers.merge!({params: {email: email}}))
    end

    def self.approved_for_purpose(purpose_id)
      parse(RestClient.get "#{Core.endpoint}/api/company/purposes/#{purpose_id}/users", Core.headers)
    end

    def self.anonymized
      parse(RestClient.get "#{Core.endpoint}/api/company/users/anonymized", Core.headers)
    end

    def self.is_anonymized(email)
      parse(RestClient.get "#{Core.endpoint}/api/company/users/is_anonymized", Core.headers.merge!({params: {email: email}}))
    end

    def self.not_anonymized
      parse(RestClient.get "#{Core.endpoint}/api/company/users/not_anonymized", Core.headers)
    end
    
    private 
    
    def self.parse(request)
      JSON.parse(request, symbolize_names: true)
    end
  end
end